Error 111 connecting to 127.0.0.1:6379 Connection refused

Hello everyone I’m here again and bring up another error
when i access to 127.0.0.1:8000 it return an error says:

redis.exceptions.ConnectionError
redis.exceptions.ConnectionError: Error 111 connecting to 127.0.0.1:6379. Connection refused.
Traceback (most recent call last)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/redis/connection.py", line 559, in connect

    sock = self._connect()

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/redis/connection.py", line 615, in _connect

    raise err

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/redis/connection.py", line 603, in _connect

    sock.connect(socket_address)
During handling of the above exception, another exception occurred:
    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/sentry_sdk/integrations/flask.py", line 90, in sentry_patched_wsgi_app

    return SentryWsgiMiddleware(lambda *a, **kw: old_app(self, *a, **kw))(

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/sentry_sdk/integrations/wsgi.py", line 140, in __call__

    reraise(*_capture_exception(hub))

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/sentry_sdk/_compat.py", line 54, in reraise

    raise value

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/sentry_sdk/integrations/wsgi.py", line 133, in __call__

    rv = self.app(

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/sentry_sdk/integrations/flask.py", line 90, in <lambda>

    return SentryWsgiMiddleware(lambda *a, **kw: old_app(self, *a, **kw))(

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask/app.py", line 2088, in __call__

    return self.wsgi_app(environ, start_response)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask/app.py", line 2073, in wsgi_app

    response = self.handle_exception(e)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask/app.py", line 2070, in wsgi_app

    response = self.full_dispatch_request()

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask/app.py", line 1515, in full_dispatch_request

    rv = self.handle_user_exception(e)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask/app.py", line 1390, in handle_user_exception

    return self.ensure_sync(handler)(e)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask/app.py", line 1513, in full_dispatch_request

    rv = self.dispatch_request()

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask/app.py", line 1499, in dispatch_request

    return self.ensure_sync(self.view_functions[rule.endpoint])(**req.view_args)

    File "/home/mvb1900/dev/indico/src/indico/web/flask/util.py", line 79, in wrapper

    return obj().process()

    File "/home/mvb1900/dev/indico/src/indico/web/rh.py", line 281, in process

    res = self._do_process()

    File "/home/mvb1900/dev/indico/src/indico/web/rh.py", line 252, in _do_process

    rv = self._process()

    File "/home/mvb1900/dev/indico/src/indico/modules/categories/controllers/display.py", line 236, in _process

    news = get_recent_news()

    File "/home/mvb1900/dev/indico/src/indico/util/caching.py", line 92, in memoizer

    value = cache.get(key, _notset)

    File "/home/mvb1900/dev/indico/src/indico/core/cache.py", line 93, in get

    return self.cache.get(self._scoped(key), default=default)

    File "/home/mvb1900/dev/indico/src/indico/core/cache.py", line 146, in get

    return super().get(key, default)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask_caching/__init__.py", line 263, in get

    return self.cache.get(*args, **kwargs)

    File "/home/mvb1900/dev/indico/src/indico/core/cache.py", line 67, in get

    return CachedNone.unwrap(super().get(key), default)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/flask_caching/backends/rediscache.py", line 147, in get

    self._read_clients.get(self._get_prefix() + key)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/redis/client.py", line 1606, in get

    return self.execute_command('GET', name)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/sentry_sdk/integrations/redis.py", line 101, in sentry_patched_execute_command

    return old_execute_command(self, name, *args, **kwargs)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/redis/client.py", line 898, in execute_command

    conn = self.connection or pool.get_connection(command_name, **options)

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/redis/connection.py", line 1192, in get_connection

    connection.connect()

    File "/home/mvb1900/dev/indico/env/lib/python3.9/site-packages/redis/connection.py", line 563, in connect

    raise ConnectionError(self._error_message(e))

    redis.exceptions.ConnectionError: Error 111 connecting to 127.0.0.1:6379. Connection refused.

Please help me, Thanks you!

Sounds like redis isn’t running. Did you start it?

Sorry about that but how i can start it?

systemctl start redis.service

it says:

Failed to start redis.service: Unit redis.service not found.

Sorry, what step did I miss?

Oh I know, I don’t have redis installed, I’m sorry, thanks for your help